---
title: USBDevice.productId
slug: Web/API/USBDevice/productID
tags:
  - API
  - Property
  - Reference
  - USB
  - USBDevice
  - WebUSB
  - WebUSB API
  - productID
---
<p>{{SeeCompatTable}}{{APIRef("WebUSB API")}}</p>

<p>The <strong><code>productId</code></strong> read only property of the {{domxref("USBDevice")}} interface the manufacturer-defined code that identifies a USB device.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var serialNumber = USBDevice.productId</pre>

<h3 id="Value">Value</h3>

<p>The manufacturer-defined code that identifies a USB device.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#dom-usbdevice-productid','productId')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBDevice.productId")}}</p>
